#set terminal pdfcairo fontscale 0.4
set terminal pdf enhanced font "Times-Roman,4"

set output "pois.pdf"

set grid
set style data points

set multiplot layout 1, 2 ;

set title "Velocity profile" 
set xlabel "Radial coordinate r"
set ylabel "Tangent velocity uy"
plot "vel1.txt" u 5:9 lt 1 ps 0.3 t "0",\
     "vel2.txt" u 5:9 lt 2 ps 0.3 t "Ld/50",\
     "vel3.txt" u 5:9 lt 3 ps 0.3 t "Ld/20",\
     "vel4.txt" u 5:9 lt 4 ps 0.3 t "Ld/10",\
     "vel5.txt" u 5:9 lt 5 ps 0.3 t "Ld/2", \
     "vel6.txt" u 5:9 lt 6 ps 0.3 t "Ld" , \
     "vel7.txt" u 5:9 lt 7 ps 0.3 t "L"

set style data lines

set title "Wall shear stress" 
set xlabel "Axial coordinate z"
set ylabel "Shear stress"
plot "shear.txt" u 3:($1)*(-1) t ""
