mm = 1.e-3;
cm = 1.e-2;

R = DefineNumber[5*mm, Min 1*mm, Max 15*mm,
  Name  "1Geometry/R", Label "Pipe radius R"];
L = DefineNumber[5*cm, Min 5*cm, Max 100*cm,
  Name "1Geometry/L", Label "Pipe length L"];
Refine = DefineNumber[3,  Min 1, Max 5, Name "1Geometry/Refine", Label "Mesh Size"];

lc=0.003*L*Refine;

Point(0) = {0, 0, 0, lc};
Point(1) = {R, 0, 0, lc};
Point(2) = {R, L, 0, lc};
Point(3) = {0, L, 0, lc};

Line(1) = {0,1};
Line(2) = {1,2};
Line(3) = {2,3};
Line(4) = {3,0};

Line Loop(1) = {1,2,3,4};
Plane Surface(1) = {1};

Physical Line(1) = {1};
Physical Line(2) = {2};
Physical Line(3) = {3};
Physical Line(4) = {4};
Physical Surface(1) = {1};



